Bug 5078 - set session class and type
Summary: set session class and type
Status: CLOSED FIXED
Alias: None
Product: ThinLinc
Classification: Unclassified
Component: VSM Agent (show other bugs)
Target Milestone: 4.2.0
Assignee: Pierre Ossman
URL:
Keywords: hean01_tester, prosaic
Depends on:
Blocks:
 
Reported: 2014-04-09 11:34 CEST by Pierre Ossman
Modified: 2014-05-05 15:56 CEST (History)
1 user (show)

See Also:
Acceptance Criteria:


Attachments

Description Pierre Ossman cendio 2014-04-09 11:34:51 CEST
There are some new environment variables that are expected in modern sessions: XDG_SESSION_CLASS and XDG_SESSION_TYPE. They are documented here:

http://www.freedesktop.org/software/systemd/man/pam_systemd.html

Fortunately they will always have the same value for us, so we can hard code them somewhere.

They should unfortunately be set before PAM is run though, so we need to do the work in either vsmagent or tl-session. tl-session already has some magic to please pam_systemd, so it might be the best choice.
Comment 1 Pierre Ossman cendio 2014-04-16 15:00:49 CEST
Fixed in r28881. The pam_systemd in Fedora 20 hasn't been updated to look at these, so we can't fully test this. So the tester should merely check that these are set in the session.
Comment 2 Henrik Andersson cendio 2014-04-24 15:39:14 CEST
Verified using build 4332 that env was set correctly within a session.

$export | grep XDG | grep -E 'TYPE|CLASS'
declare -x XDG_SESSION_CLASS="user"
declare -x XDG_SESSION_TYPE="x11"

Note You need to log in before you can comment on or make changes to this bug.